Bootstrap

Версия раздела: 4.0.1

SIMAI Framework предназначен для совместной работы с Bootstrap 4. Некоторые модификаторы базируются на подобных модификаторах Bootstrap 4, но имеют расширенную сетку значений.

Совместимость

Для работы SIMAI Framework требуется версия Bootstrap 4 и выше. SIMAI Framework не совместим с версиями Bootstrap 2 и 3

Загрузка

Так как SIMAI Framework переопределяет некоторые параметры Bootstrap 4, то должен загружаться после него.

Расстояния

При переходе верстки с Bootstrap 4 на SIMAI Framework необходимо учитывать что значения модификаторов с аналогичным названием могут незначительно отличаться. Это касается модификаторов расстояний. Ниже приведена таблица характеризующая подобную разницу.

Класс .m-1, .p-1 .m-2, .p-2 .m-3, .p-3 .m-4, .p-4 .m-5, .p-5 .m-6, .p-6 .m-7, .p-7
Размер в Bootstrap 4 0.25 rem 0.5 rem 1 rem 1.5 rem 3 rem отсуствует отсуствует
Размер в SIMAI Framework 4 0.25 rem 0.5 rem 1 rem 2 rem 4 rem 8 rem 16 rem